cURL
curl --request GET \
--url https://api.smartbills.io/api/workflow-executions/{executionId}import requests
url = "https://api.smartbills.io/api/workflow-executions/{executionId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.smartbills.io/api/workflow-executions/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowName": "<string>",
"entityId": "<string>",
"entityType": "<string>",
"businessId": 123,
"userId": 123,
"status": "<string>",
"currentStepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentStepName": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stepName": "<string>",
"stepType": "<string>",
"order": 123,
"status": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"input": "<string>",
"output": "<string>",
"errorMessage": "<string>",
"executionTimeMs": 123,
"retryCount": 123,
"metadata": {},
"conditionResults": [
{
"conditionType": "<string>",
"isMet": true,
"details": "<string>",
"evaluatedAt": "2023-11-07T05:31:56Z"
}
],
"actionResults": [
{
"actionType": "<string>",
"isSuccessful": true,
"result": "<string>",
"errorMessage": "<string>",
"executedAt": "2023-11-07T05:31:56Z",
"executionTimeMs": 123
}
],
"eventResults": [
{
"eventType": "<string>",
"isReceived": true,
"eventPayload": "<string>",
"receivedAt": "2023-11-07T05:31:56Z",
"timeoutAt": "2023-11-07T05:31:56Z"
}
],
"isActive": true,
"description": "<string>"
}
],
"errorMessage": "<string>",
"totalExecutionTimeMs": 123,
"context": {},
"triggeredBy": "<string>",
"correlationId": "<string>",
"retryCount": 123,
"totalSteps": 123,
"completedSteps": 123,
"failedSteps": 123,
"progressPercentage": 123,
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "<string>",
"eventData": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"source": "<string>",
"isProcessed": true
}
]
}WorkflowExecution
Get apiworkflow executions 1
GET
/
api
/
workflow-executions
/
{executionId}
cURL
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I